#include "animaux.hpp"

Animaux::Animaux(QString name, QObject *parent)
    : QObject{parent},
    m_name{name}
{}

QString Animaux::name() const
{
    return m_name;
}

void Animaux::setName(const QString &newName)
{
    if (m_name == newName)
        return;
    m_name = newName;
    emit nameChanged(m_name);
}
